[pisa-src] r2953 - trunk/tools/pairing-client.sh

  • From: Christoph Viethen <christoph.viethen@xxxxxxxxxxxxxx>
  • To: pisa-src@xxxxxxxxxxxxx
  • Date: Fri, 23 Mar 2012 17:03:16 +0100

Author: viethen
Date: Fri Mar 23 17:03:14 2012
New Revision: 2953

Log:
Add a simple script, to be used on mobile clients, to demonstrate how
Pairing could be performed.

Added:
   trunk/tools/pairing-client.sh   (contents, props changed)

Added: trunk/tools/pairing-client.sh
==============================================================================
--- /dev/null   00:00:00 1970   (empty, because file is newly added)
+++ trunk/tools/pairing-client.sh       Fri Mar 23 17:03:14 2012        (r2953)
@@ -0,0 +1,31 @@
+#!/bin/sh
+/*
+ * Copyright (c) 2012, Distributed Systems Group, RWTH Aachen
+ * All rights reserved.
+ */
+
+trustpoint_hit='2001:1d:5f96:f917:e903:3745:8c70:34ce'
+trustpoint_config_url='http://192.168.10.1/'
+
+ping6 >/dev/null -q -w 20 -c 5 "${trustpoint_hit}"
+
+if [ $? -eq 0 ]; then
+
+  echo
+  echo "Associated with Trust Point for Pairing ..."
+  echo
+  echo "Starting web browser now for the remaining steps."
+  echo
+
+  if [ X"${BROWSER}" != "X" ]; then
+    $BROWSER "${trustpoint_config_url}"
+  else
+    /usr/bin/firefox "${trustpoint_config_url}"
+  fi
+
+else
+
+  echo "Couldn't associate with Trust Point. Please try again."
+
+fi
+
-- 
This is the pisa developer mailing list. Please also subscribe to the main pisa 
list at:
//www.freelists.org/list/pisa

Other related posts:

  • » [pisa-src] r2953 - trunk/tools/pairing-client.sh - Christoph Viethen